'use strict';

const Bottleneck = require('bottleneck');

const args = require('./cli')();

module.exports = {
    reddit: new Bottleneck({
        reservoir: 30,
        reservoirRefreshAmount: 30,
        reservoirRefreshInterval: 60000,
        maxConcurrent: 1,
        minTime: 100,
    }),
    items: new Bottleneck({
        maxConcurrent: args.concurrency,
        minTime: args.interval,
    }),
};
